--- old/usr/src/uts/common/os/urw.c	2015-05-08 18:10:31.007373983 -0400
+++ new/usr/src/uts/common/os/urw.c	2015-05-08 18:10:31.014197734 -0400
@@ -56,8 +56,8 @@
 #include <vm/seg_spt.h>
 #include <vm/seg_kmem.h>
 
-extern struct seg_ops segdev_ops;	/* needs a header file */
-extern struct seg_ops segspt_shmops;	/* needs a header file */
+extern const struct seg_ops segdev_ops;	/* needs a header file */
+extern const struct seg_ops segspt_shmops;	/* needs a header file */
 
 static int
 page_valid(struct seg *seg, caddr_t addr)
@@ -72,11 +72,11 @@
 	 */
 	vattr.va_mask = AT_SIZE;
 	if (seg->s_ops == &segvn_ops &&
-	    SEGOP_GETVP(seg, addr, &vp) == 0 &&
+	    segop_getvp(seg, addr, &vp) == 0 &&
 	    vp != NULL && vp->v_type == VREG &&
 	    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 		u_offset_t size = roundup(vattr.va_size, (u_offset_t)PAGESIZE);
-		u_offset_t offset = SEGOP_GETOFFSET(seg, addr);
+		u_offset_t offset = segop_getoffset(seg, addr);
 
 		if (offset >= size)
 			return (0);
@@ -96,7 +96,7 @@
 	 * type is neither MAP_SHARED nor MAP_PRIVATE.
 	 */
 	if (seg->s_ops == &segdev_ops &&
-	    ((SEGOP_GETTYPE(seg, addr) & (MAP_SHARED | MAP_PRIVATE)) == 0))
+	    ((segop_gettype(seg, addr) & (MAP_SHARED | MAP_PRIVATE)) == 0))
 		return (0);
 
 	/*
@@ -117,7 +117,7 @@
 		 * then there is backing store for the page.
 		 */
 		char incore = 0;
-		(void) SEGOP_INCORE(seg, addr, PAGESIZE, &incore);
+		(void) segop_incore(seg, addr, PAGESIZE, &incore);
 		if (incore == 0)
 			return (0);
 	}
@@ -209,12 +209,12 @@
 		AS_LOCK_EXIT(as, &as->a_lock);
 		return (ENXIO);
 	}
-	SEGOP_GETPROT(seg, page, 0, &prot);
+	segop_getprot(seg, page, 0, &prot);
 
 	protchanged = 0;
 	if ((prot & prot_rw) == 0) {
 		protchanged = 1;
-		err = SEGOP_SETPROT(seg, page, PAGESIZE, prot | prot_rw);
+		err = segop_setprot(seg, page, PAGESIZE, prot | prot_rw);
 
 		if (err == IE_RETRY) {
 			protchanged = 0;
@@ -244,9 +244,9 @@
 	else
 		rw = S_READ;
 
-	if (SEGOP_FAULT(as->a_hat, seg, page, PAGESIZE, F_SOFTLOCK, rw)) {
+	if (segop_fault(as->a_hat, seg, page, PAGESIZE, F_SOFTLOCK, rw)) {
 		if (protchanged)
-			(void) SEGOP_SETPROT(seg, page, PAGESIZE, prot);
+			(void) segop_setprot(seg, page, PAGESIZE, prot);
 		AS_LOCK_EXIT(as, &as->a_lock);
 		return (ENXIO);
 	}
@@ -303,10 +303,10 @@
 	if (rw == S_READ_NOCOW)
 		rw = S_READ;
 
-	(void) SEGOP_FAULT(as->a_hat, seg, page, PAGESIZE, F_SOFTUNLOCK, rw);
+	(void) segop_fault(as->a_hat, seg, page, PAGESIZE, F_SOFTUNLOCK, rw);
 
 	if (protchanged)
-		(void) SEGOP_SETPROT(seg, page, PAGESIZE, prot);
+		(void) segop_setprot(seg, page, PAGESIZE, prot);
 
 	AS_LOCK_EXIT(as, &as->a_lock);
 
